Hello all coders and programming enthusiasts!
I want to invite all of you to participate in the last Qualification Round of India Hacks 2016, which is organized by HackerEarth.
This is the third and the last one qualification round. If you missed or didn't qualify in the two previous rounds, this is the last change to advance to the semifinals.
Qualification Round 3 takes place on January 17, 04:30 PM CET (click to check your timezone). Top 1000 participants with non-zero score will advance to the main contest.
The prizes in India Hacks are quite nice, including a trip to San Francisco, many tech gadgets and a lot of goodies for top 50 participants. If you want to grab any of them, or you just like to compete agains a lot of other programmers and you haven't qualified to the main contest yet, reserve a time slot for this round!
I'm a tester of the problem set and a conductor of the contest. There will be 5 problems in the contest and you'll have 3 hours to solve all of them. In addition, a partial scoring system will be used in all of them, which means that you'll get points for each correctly solved test file in any problem.
Big thanks to Baba, subway, aditya1495 and hellgeek for creating the problems, to belowthebelt for technical assistance and to I_love_Tanya_Romanova and Errichto for proofreading and solving the problems, and for all their suggestions.
Since this is the last qualification round, problems won't be very hard, so if you're going to participate, you may assume that submission time might be a big factor in the final standings.
Have fun and good luck to all of you.
See you on the leaderboard, hopefully at the top of it :)
UPDATE:
The contest is over and all submissions and editorials are public now, check them out if you want. Special congratulations to Kostroma for being the one who solved all the problems first and to all 15 participants who managed to complete the whole problem set during the contest.
Bump
The contest begins in 10 minutes. Good luck to everyone. :)
PS: People who have already qualified can also participate.
Note that this is your last chance to qualify to the next round, which will be coordinated by me. There, you will get 10 problems to solve in 24 hours, including an approximate one to break ties. Very interesting problems in my opinion. But you must qualify first!
Hi, is onsite final round (which is for top 40) already scheduled? I didn't manage to find it
No, it's not. And note that the last round (finals) will be online for people not from India. Unless you go to India by yourself.
yeah, I understand that:)
Seems to be scheduled: https://www.hackerearth.com/algorithms-india-hacks-2016/
From 6th February, 4.30pm CET to 7th February, 4.30pm CET.
Update: Ignore, this is just online online round, not onsite online round, my fault.
First Problem Zeroes, can someone tell me what wrong am i doing here: http://ideone.com/kWWVWX ?? It gives runtime error :\
i = j*j in line 24 will overflow to a negative number, pass the for loop condition, and segfault on line 26.
Thank You. Got AC now :)
Maybe if it's me, but the last question is quite similiar to http://www.usaco.org/index.php?page=viewproblem2&cpid=576 (using the HLD approach). In fact, I just opened my source, move the point-query part and submit. It passes with 0.1second margin tho, so I wonder is the intended solution O(Q lg N)?
EDIT: Actually I suppose this question has appeared in multiple contests, as it's quite standard.
Yes, it is. Please check the editorial written by the author, it's available at the problem page. I consider writing my own editorial if this one won't turn out to be a perfect one. The general idea is to linearize the tree while while performing dfs on in, and then decompose queries to basic segment tree queries on this linear representation of the tree.
Nice catch! Looks like I'm lucky this time, as it's supposed to be timed out (if N and Q is up to 700000 I suppose my implementation will crash, tho I think if I use bit I can withstand for N and Q up to 1000000? Maybe not for some ugly-shaped tree).